Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class CompassLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.CompassLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

    public class CompassLayer

extends AbstractLayer

Field Summary
`static String` | `NORTHEAST`
`static String` | `NORTHWEST`
`static String` | `RESIZE_KEEP_FIXED_SIZE` Does not modify the compass icon size when the window changes size.
`static String` | `RESIZE_SHRINK_ONLY` On window resize, scales the compass icon to occupy a constant relative size of the viewport, but not larger than the icon's inherent size scaled by the layer's icon scale factor.
`static String` | `RESIZE_STRETCH` On window resize, scales the compass icon to occupy a constant relative size of the viewport.
`static String` | `SOUTHEAST`
`static String` | `SOUTHWEST`

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`CompassLayer()`
`CompassLayer(String iconFilePath)`

Method Summary
`protected void` | `doRender(DrawContext dc)`
`int` | `getBorderWidth()`
`double` | `getCompassToViewportScale()` Returns the layer's compass-to-viewport scale factor.
`String` | `getIconFilePath()` Returns the layer's current icon file path.
`double` | `getIconScale()` Returns the icon scale factor.
`Point` | `getLocationCenter()`
`String` | `getPosition()` Returns the current relative compass icon position.
`String` | `getResizeBehavior()` Returns the compass icon's resize behavior.
`boolean` | `isShowTilt()`
`void` | `setBorderWidth(int borderWidth)` Sets the compass icon offset from the viewport border.
`void` | `setCompassToViewportScale(double compassToViewportScale)` Sets the scale factor applied to the viewport size to determine the displayed size of the compass icon.
`void` | `setIconFilePath(String iconFilePath)` Sets the compass icon's image location.
`void` | `setIconScale(double iconScale)` Sets the scale factor defining the displayed size of the compass icon relative to the icon's width and height in its image file.
`void` | `setLocationCenter(Point locationCenter)`
`void` | `setPosition(String position)` Sets the relative viewport location to display the compass icon.
`void` | `setResizeBehavior(String resizeBehavior)` Sets the behavior the layer uses to size the compass icon when the viewport size changes, typically when the World Wind window is resized.
`void` | `setShowTilt(boolean showTilt)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`dispose, doPick, getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isLayerInView, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### NORTHEAST

    public static final String NORTHEAST

See Also:
  Constant Field Values

### NORTHWEST

    public static final String NORTHWEST

See Also:
  Constant Field Values

### RESIZE_KEEP_FIXED_SIZE

    public static final String RESIZE_KEEP_FIXED_SIZE

  Does not modify the compass icon size when the window changes size.

  See Also:
    Constant Field Values

### RESIZE_SHRINK_ONLY

    public static final String RESIZE_SHRINK_ONLY

  On window resize, scales the compass icon to occupy a constant relative size of the viewport, but not larger than the icon's inherent size scaled by the layer's icon scale factor.

  See Also:
    Constant Field Values

### RESIZE_STRETCH

    public static final String RESIZE_STRETCH

  On window resize, scales the compass icon to occupy a constant relative size of the viewport.

  See Also:
    Constant Field Values

### SOUTHEAST

    public static final String SOUTHEAST

See Also:
  Constant Field Values

### SOUTHWEST

    public static final String SOUTHWEST

See Also:
  Constant Field Values

Constructor Detail

### CompassLayer

    public CompassLayer()

### CompassLayer

    public CompassLayer(String iconFilePath)

Method Detail

### doRender

    protected void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### getBorderWidth

    public int getBorderWidth()

### getCompassToViewportScale

    public double getCompassToViewportScale()

  Returns the layer's compass-to-viewport scale factor.

  Returns:
    the compass-to-viewport scale factor

### getIconFilePath

    public String getIconFilePath()

  Returns the layer's current icon file path.

  Returns:
    the icon file path

### getIconScale

    public double getIconScale()

  Returns the icon scale factor. See `setIconScale(double)` for a description of the scale factor.

  Returns:
    the current icon scale

### getLocationCenter

    public Point getLocationCenter()

### getPosition

    public String getPosition()

  Returns the current relative compass icon position.

  Returns:
    the current compass position

### getResizeBehavior

    public String getResizeBehavior()

  Returns the compass icon's resize behavior.

  Returns:
    the icon's resize behavior

### isShowTilt

    public boolean isShowTilt()

### setBorderWidth

    public void setBorderWidth(int borderWidth)

  Sets the compass icon offset from the viewport border.

  Parameters:
    `borderWidth` - the number of pixels to offset the compass icon from the borders indicated by `setPosition(String)`.

### setCompassToViewportScale

    public void setCompassToViewportScale(double compassToViewportScale)

  Sets the scale factor applied to the viewport size to determine the displayed size of the compass icon. This scale factor is used only when the layer's resize behavior is `RESIZE_STRETCH` or `RESIZE_SHRINK_ONLY`. The icon's width is adjusted to occupy the proportion of the viewport's width indicated by this factor. The icon's height is adjusted to maintain the compass image's native aspect ratio.

  Parameters:
    `compassToViewportScale` - the compass to viewport scale factor

### setIconFilePath

    public void setIconFilePath(String iconFilePath)

  Sets the compass icon's image location. The layer first searches for this location in the current Java classpath. If not found then the specified path is assumed to refer to the local file system. found there then the

  Parameters:
    `iconFilePath` - the path to the icon's image file

### setIconScale

    public void setIconScale(double iconScale)

  Sets the scale factor defining the displayed size of the compass icon relative to the icon's width and height in its image file. Values greater than 1 magify the image, values less than one minify it. If the layer's resize behavior is other than `RESIZE_KEEP_FIXED_SIZE`, the icon's displayed sized is further affected by the value specified by `setCompassToViewportScale(double)` and the current viewport size.

  Parameters:
    `iconScale` - the icon scale factor

### setLocationCenter

    public void setLocationCenter(Point locationCenter)

### setPosition

    public void setPosition(String position)

  Sets the relative viewport location to display the compass icon. Can be one of `NORTHEAST` (the default), `NORTHWEST`, `SOUTHEAST`, or `SOUTHWEST`. These indicate the corner of the viewport to place the icon.

  Parameters:
    `position` - the desired compass position

### setResizeBehavior

    public void setResizeBehavior(String resizeBehavior)

  Sets the behavior the layer uses to size the compass icon when the viewport size changes, typically when the World Wind window is resized. If the value is `RESIZE_KEEP_FIXED_SIZE`, the icon size is kept to the size specified in its image file scaled by the layer's current icon scale. If the value is `RESIZE_STRETCH`, the icon is resized to have a constant size relative to the current viewport size. If the viewport shrinks the icon size decreases; if it expands then the icon file enlarges. The relative size is determined by the current compass-to-viewport scale and by the icon's image file size scaled by the current icon scale. If the value is `RESIZE_SHRINK_ONLY` (the default), icon sizing behaves as for `RESIZE_STRETCH` but the icon will not grow larger than the size specified in its image file scaled by the current icon scale.

  Parameters:
    `resizeBehavior` - the desired resize behavior

### setShowTilt

    public void setShowTilt(boolean showTilt)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD